Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic.event
Class WindowConstraintEventListener

    java.lang.Object
      org.jboss.portal.core.samples.basic.event.WindowConstraintEventListener

All Implemented Interfaces:
  PortalNodeEventListener

    public class WindowConstraintEventListener

extends java.lang.Object
implements PortalNodeEventListener

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Nested Class Summary
`class` | `WindowConstraintEventListener.WindowManipulator`

Constructor Summary
`WindowConstraintEventListener()`

Method Summary
`PortalNodeEvent` | `onEvent(PortalNodeEventContext context, PortalNodeEvent event)` Dispatch an event to the listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowConstraintEventListener

    public WindowConstraintEventListener()

Method Detail

### onEvent

    public PortalNodeEvent onEvent(PortalNodeEventContext context,
                                   PortalNodeEvent event)

  Description copied from interface: `PortalNodeEventListener`

  Dispatch an event to the listener. If the listener does not care about replacing the current event with a new one then it should return the event returned by the `PortalNodeEventContext` provided such as:

  `return context.dispatch()`

  Otherwise it can return a new event to replace the current one. Only events of type `WindowNavigationEvent` or `WindowActionEvent;` will have an effect.

  Specified by:
    `onEvent` in interface `PortalNodeEventListener`
  Parameters:
    `context` - the context in which the event is triggered
    `event` - the fired event
  Returns:
    an event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD